<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ParticleSystemRenderer Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#76d2732e63a02c925cca738e1d55b7e9">_createVisualData</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#ddc7a41c0c6aba115a7ca23219001690">_destroyVisualData</a>(ParticleVisualData *vis)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#2b90d2d5d6b6a46e59e409c54d7dc198">_getSortMode</a>(void) const =0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a77068e24ca3ff941e5608f841eee433">_notifyAttached</a>(Node *parent, bool isTagPoint=false)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#36ec310fb97f85ed7ca1d5176024bfcc">_notifyCurrentCamera</a>(Camera *cam)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#2e0b651fd9d845b9bc70e9aaf64e5915">_notifyDefaultDimensions</a>(Real width, Real height)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#9dd8a77610f129937836c371fc37e08a">_notifyParticleCleared</a>(std::list&lt; Particle * &gt; &amp;currentParticles)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#ec55835fcde21e77487cfbb20f439944">_notifyParticleEmitted</a>(Particle *particle)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#64ca1a8e9f77c857d2ffdab29fbdd598">_notifyParticleExpired</a>(Particle *particle)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#692f2b1bf819aeb19899df090b241dd8">_notifyParticleMoved</a>(std::list&lt; Particle * &gt; &amp;currentParticles)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#018bd2ae834c1aba8b9fa79116e67c44">_notifyParticleQuota</a>(size_t quota)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#7d780e51ef230c6e00e53ca6b0f0f3f6">_notifyParticleResized</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#135d07c57490da7dccb849e0058c2b24">_notifyParticleRotated</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#cef7b4bfb05626da291588d55f768cc9">_setMaterial</a>(MaterialPtr &amp;mat)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#b02375a9eeed63ea14f9861c87998266">_updateRenderQueue</a>(RenderQueue *queue, std::list&lt; Particle * &gt; &amp;currentParticles, bool cullIndividually)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#82a2512365fd27ffcd1b597751491547">getType</a>(void) const =0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">mParamDictName</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">msDictionary</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#18d83b417a606c9d40f87fffe003ef2a">ParticleSystemRenderer</a>()</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#9d51542da9e252f542e9ba7d89f575c1">setKeepParticlesInLocalSpace</a>(bool keepLocal)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#c586ecbee5141ce024ff371de137a952">setRenderQueueGroup</a>(uint8 queueID)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#cedd9af6338bc40603a571333be5f5f9">~ParticleSystemRenderer</a>()</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:33 2008
</p>
</body>
</html>
